Skip to main content
Called by iGamingAce to check a player’s current wallet balance before and during gameplay. Implement this endpoint on your server. iGamingAce calls your /GetBalance endpoint to check a player’s current balance before launching a game and at various points during gameplay. You implement this endpoint on your own server. Your server must return the player’s balance immediately — this callback is called frequently, so keep your response times low.

Endpoint

POST https://{your_callback_base_url}/GetBalance
Replace {your_callback_base_url} with the HTTPS base URL you registered with iGamingAce (for example, https://merchant.com/callbackService).

Request Parameters

ParameterDescriptionFormatExample
agentIDID of agent, Identification of Licenseestringagent01
userIDPlayer ID, Alphanumeric characters, minimum length 4, maximum length 48.string(4-48)player01
gameIDgame id which player is playinginteger1566
signHMAC-SHA-256 signature computed with your secret key.
Expressed as a 64-character uppercase hex string.
(Refer Data Sign)
string (64)5E0A0349AE36AD67CD21D891AB124CCE8CC4171C5BD7EF5B26FCA86DB71F500A

Response

ParameterDescriptionFormatExample
codeResult codesinteger0
messageDescription of the error, this field can be empty when successstring(256)Cannot find specified user id
balanceThis field is set only if the result code is 0 (success). This Value can have a maximum of 2 decimal places.decimal15.03